import * as React from "react";
import { TransitionStateTypes } from "./types";
export interface ITransitioningComponentChildProps {
    state: TransitionStateTypes;
    wrapperTransformCenter: string;
    sliderTransitionExitTime: string;
    sliderTransitionEnterTime: string;
    enteringTransform: string;
    exitingTransform: string;
    sliderEnterTimingFunction: string;
    sliderExitTimingFunction: string;
    fadeOnSlide: boolean;
    cssWrapperStyle: React.CSSProperties;
    child: JSX.Element;
    enter?: boolean;
}
export declare function TransitioningComponentChild(props: ITransitioningComponentChildProps): JSX.Element;
