import * as React from "react";
import { IRevealChildStyles, IRevealDirection } from "./types";
export interface IRevealPropType {
    show: boolean;
    direction: IRevealDirection;
    withFade?: boolean;
    fixedDistance?: number;
    childStyles: IRevealChildStyles;
    mountUnmountAuthority?: boolean;
    revealOnAppear?: boolean;
}
/**
 * @prop show: boolean
 * @prop direction: like ISliderDirection 0: left, 1: right, 2: up, 3: down
 * @prop withFade?: boolean
 * @prop fixedDistance?: revealTill a distance and show scrollbar
 * @prop childStyles?: all lise ISliderChildStyles except width or height
 * @prop mountUnmountAuthority
 */
export default class Reveal extends React.Component<IRevealPropType, any> {
    render(): JSX.Element;
    private checkBeforeRender;
    private readonly enterTransitionTime;
    private readonly exitTransitionTime;
    private readonly enterTimingFunction;
    private readonly exitTimingFunction;
    private readonly normalStyles;
    private readonly cssDirection;
    private cssHeightWidthPropWithValue;
}
