export interface ISliderChildStyles {
    width: number;
    height: number;
    transitionTime?: number;
    enterTransitionTime?: number;
    exitTransitionTime?: number;
    timingFunction?: string;
    enterTimingFunction?: string;
    exitTimingFunction?: string;
    zIndex?: number;
}
export declare const enum ISliderDirection {
    MoveLeft = 0,
    MoveRight = 1,
    MoveUp = 2,
    MoveDown = 3
}
export interface IWrapperStyles {
    transform: string;
    transition: string;
    opacity: number;
    transitionTimingFunction?: string;
}
export declare type TransitionStateTypes = "enter" | "entering" | "entered" | "exit" | "exiting" | "exited";
export declare const enum SliderCycleState {
    Start = "start",
    Half = "half",
    Full = "full"
}
